View Issue Details

IDProjectCategoryView StatusLast Update
0015302ScribusDocumentationpublic2019-06-04 20:55
Reportervivivi Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.4.7 
Target VersionFixed in Version1.5.5.svn 
Summary0015302: Documentation points to old Ghostscript dowload page
DescriptionThe documentation after clicking "Help" on the missing Ghostscript popup, points to a what appears to be an old URL: http://ghostscript.com/releases/ which redirects to http://downloads.ghostscript.com/public/ which points to Ghostscript's github releases page.

I think it would be easier for users to find what they need from Ghostscript's current download page which is: https://www.ghostscript.com/download/gsdnld.html
TagsNo tags attached.
PatchYes

Relationships

has duplicate 0015632 closedjghali Link to Ghostscript is incorrect 

Activities

vivivi

2018-05-06 11:45

reporter  

gs-download.diff (13,954 bytes)
diff --git a/doc/de/readme-win32.html b/doc/de/readme-win32.html
index 1d0d463da..a91483f59 100644
--- a/doc/de/readme-win32.html
+++ b/doc/de/readme-win32.html
@@ -16,7 +16,7 @@
 </ul>
 </p>
 <h3>Vor der Installation</h3>
-<p>Installieren Sie <a href="http://ghostscript.com/releases/">Ghostscript f&uuml;r Windows</a> &ndash; Ghostscript 8.7+ oder h&ouml;her werden empfohlen. Dieses Programm ben&ouml;tigen Sie f&uuml;r den import von EPS- und PDF-Dateien sowie den Strichode-Generator. <br>Nach der Installation finden Sie auf Ihrem System zwei ausf&uuml;hrbare Ghostscript-Dateien. Die richtige *.exe-Datei, die sie in den <a href="settings1.html#15">Allgemeinen Einstellungen</a> unter &raquo;Externe Tools&laquo; f&uuml;r Ghostscript eintragen m&uuml;ssen, ist <code>gswin32c.exe</code>, <b>nicht</b> <code>gswin32.exe</code>. In den allermeisten F&auml;llen wird Scribus ein installiertes Ghostscript von alleine finden. Bedenken Sie, da&szlig; Sie Ghostscript nicht zwangsl&auml;ufig ben&ouml;tigen. Ohne gs stehen Ihnen lediglich weniger Funktionen zur Verf&uuml;gung. Wenn Sie Ghostcript nicht installiert haben, wird eine Warnung angezeigt, die Ihnen hilft, es herunterzuladen, aber das ist lediglich ein Angebot.</p>
+<p>Installieren Sie <a href="https://www.ghostscript.com/download/gsdnld.html">Ghostscript f&uuml;r Windows</a> &ndash; Ghostscript 8.7+ oder h&ouml;her werden empfohlen. Dieses Programm ben&ouml;tigen Sie f&uuml;r den import von EPS- und PDF-Dateien sowie den Strichode-Generator. <br>Nach der Installation finden Sie auf Ihrem System zwei ausf&uuml;hrbare Ghostscript-Dateien. Die richtige *.exe-Datei, die sie in den <a href="settings1.html#15">Allgemeinen Einstellungen</a> unter &raquo;Externe Tools&laquo; f&uuml;r Ghostscript eintragen m&uuml;ssen, ist <code>gswin32c.exe</code>, <b>nicht</b> <code>gswin32.exe</code>. In den allermeisten F&auml;llen wird Scribus ein installiertes Ghostscript von alleine finden. Bedenken Sie, da&szlig; Sie Ghostscript nicht zwangsl&auml;ufig ben&ouml;tigen. Ohne gs stehen Ihnen lediglich weniger Funktionen zur Verf&uuml;gung. Wenn Sie Ghostcript nicht installiert haben, wird eine Warnung angezeigt, die Ihnen hilft, es herunterzuladen, aber das ist lediglich ein Angebot.</p>
 <h3>W&auml;hrend der Installation</h3>
 <p>Falls Sie die Option &raquo;Zus&auml;tzliche Schriften&laquo; w&auml;hrend der Installation w&auml;hlen, werden auf Ihrem Rechner zus&auml;tzlich zwei Sammlungen mit hochwertigen Freien Schriften installiert. Die eine enth&auml;lt die URW-Fonts aus Ghostscript. Darunter sind 45 Schriftschnitte enthalten, die kompatibel mit den typischen PostScript-Druckerschriften sind. Die andere besteht aus der Vera-Familie von Bitstream, die unter Linux sehr weit verbreitet ist und auch von eingen Vorlagen verwendet wird.</p>
 <h3>Nach der Installation</h3>
diff --git a/doc/en/readme-win32.html b/doc/en/readme-win32.html
index 2953562f3..583c340be 100644
--- a/doc/en/readme-win32.html
+++ b/doc/en/readme-win32.html
@@ -20,7 +20,7 @@
 </ul>
 </p>
 <h3>Before Installing Scribus</h3>
-<p>Install <a href="http://ghostscript.com/releases/">Ghostscript for Windows</a> &ndash; Ghostscript 8.7+ or later is recommended. This is important for EPS import and some other features. <br>Note: After installing there are two Ghostscript *.exe files available on your system. The correct *.exe name to use in the <a href="settings1.html#15">Scribus Preferences</a> (under <i>External Tools</i>) for Ghostscript is <code>gswin32c.exe</code> (or <code>gswin64c,exe</code>), <b>not</b> <code>gswin32.exe</code> (or <code>gswin64,exe</code>). In the large majority of cases <b>if</b> Ghostscript is properly installed before installing Scribus, Scribus will automatically detect the location of Ghostscript for you. This having been said, Ghostscript is not essential to the use of Scribus for most purposes. If you have not installed Ghostscript, when you run Scribus you will get a warning and a link to help you get it, but you can choose not to add this external tool.</p>
+<p>Install <a href="https://www.ghostscript.com/download/gsdnld.html">Ghostscript for Windows</a> &ndash; Ghostscript 8.7+ or later is recommended. This is important for EPS import and some other features. <br>Note: After installing there are two Ghostscript *.exe files available on your system. The correct *.exe name to use in the <a href="settings1.html#15">Scribus Preferences</a> (under <i>External Tools</i>) for Ghostscript is <code>gswin32c.exe</code> (or <code>gswin64c,exe</code>), <b>not</b> <code>gswin32.exe</code> (or <code>gswin64,exe</code>). In the large majority of cases <b>if</b> Ghostscript is properly installed before installing Scribus, Scribus will automatically detect the location of Ghostscript for you. This having been said, Ghostscript is not essential to the use of Scribus for most purposes. If you have not installed Ghostscript, when you run Scribus you will get a warning and a link to help you get it, but you can choose not to add this external tool.</p>
 <h3>During the Installation</h3>
 <p>When you select the &ldquo;Extra Fonts&rdquo; Option in the installer, this will install two sets of high-quality, freely distributable fonts. One set is the the URW fonts from Ghostscript. This includes 45 typefaces which are compatible with those included with most PostScript printers. The second is the Bitstream Vera font family, widely used on Linux and by some of the included templates.</p>
 <h3>After the Installation</h3>
diff --git a/doc/en/toolbox5.html b/doc/en/toolbox5.html
index 31962dc24..4074b8ba9 100644
--- a/doc/en/toolbox5.html
+++ b/doc/en/toolbox5.html
@@ -19,7 +19,7 @@
 <p>We always encourage you to have the latest Ghostscript available for your system.</p>
 <h3>Installing Ghostscript</h3>
 <h4>Linux/UNIX</h4>
-<p>As mentioned above, Ghostscript is required by many applications, including the printing subsystem. Thus, it&rsquo;s unlikely that it isn&rsquo;t installed on your system. If, for any reason, <code>gs</code> isn&rsquo;t available on your system or your system is being shipped with a version that&rsquo;s too old (you should at least use Ghostscript 8.6 with Scribus), you can <a href="http://ghostscript.com/releases/">download</a> a tarball from the <code>gs</code> website. Be careful to download Ghostscript itself, not ghostpdl, whose source code is in the same directory. Then follow the build instructions in the tarball and install it.</p>
+<p>As mentioned above, Ghostscript is required by many applications, including the printing subsystem. Thus, it&rsquo;s unlikely that it isn&rsquo;t installed on your system. If, for any reason, <code>gs</code> isn&rsquo;t available on your system or your system is being shipped with a version that&rsquo;s too old (you should at least use Ghostscript 8.6 with Scribus), you can <a href="https://www.ghostscript.com/download/gsdnld.html">download</a> a tarball from the <code>gs</code> website. Be careful to download Ghostscript itself, not ghostpdl, whose source code is in the same directory. Then follow the build instructions in the tarball and install it.</p>
 <h4>Windows</h4>
 <p> See the <a href="readme-win32.html">general information</a> about Scribus on Windows for further details.</p>
 <h4>Mac OS X</h4>
@@ -28,7 +28,7 @@
 <li>You can download an <a href="http://pages.uoregon.edu/koch/">installer</a> for <code>gs</code> which works with various OS X versions.</li>
 <li>You can install <code>gs</code> via <a href="http://pdb.finkproject.org/pdb/package.php/ghostscript">Fink</a>.</li>
 <li>The most current releases of Ghostscript are always available via <a href="http://www.macports.org/ports.php?by=library&substr=ghostscript">MacPorts</a>.</li>
-<li>Finally, you can, of course, download the latest <a href="http://ghostscript.com/releases/">source code</a> and compile Ghostscript yourself.</li>
+<li>Finally, you can, of course, download the latest <a href="https://www.ghostscript.com/download/gsdnld.html">source code</a> and compile Ghostscript yourself.</li>
 </ul>
 <h4>OS/2 and eComStation</h4>
 <p> See the <a href="readme-os2.html">general information</a> about Scribus on OS/2 and eComStation for further details.</p>
diff --git a/doc/it/readme-win32.html b/doc/it/readme-win32.html
index 27c26c65d..24f6c2735 100644
--- a/doc/it/readme-win32.html
+++ b/doc/it/readme-win32.html
@@ -17,7 +17,7 @@
 </ul>
 </p>
 <h3>Prima di installare Scribus</h3>
-<p>&Egrave; consigliabile installare <a href="http://ghostscript.com/releases/">Ghostscript</a> 8.7 o successivo, necessario per l'importazione EPS e altre funzioni. <br>Nota: dopo l'installazione troverete due file Ghostscript *.exe sul vostro sistema. Quello corretto da utilizzare nelle <a href="settings1.html#15">preferenze di Scribus</a> (in <i>Strumenti esterni</i>) per Ghostscript &egrave; <code>gswin32c.exe</code> (o <code>gswin64c.exe</code>), <b>non</b> <code>gswin32.exe</code> (o <code>gswin64.exe</code>). Nella gran maggioranza dei casi, <b>se</b> Ghostscript viene installato correttamente prima di Scribus, Scribus individua automaticamente la sua posizione. Ci&ograve; detto, Ghostscript di solito non &egrave; essenziale per poter utilizzare Scribus. Se non avete installato Ghostscript, Scribus all'avvio vi avverte della mancanza di Ghostscript e vi d&agrave; un link per scaricarlo, ma potete anche decidere di non installare questo strumento esterno.</p>
+<p>&Egrave; consigliabile installare <a href="https://www.ghostscript.com/download/gsdnld.html">Ghostscript</a> 8.7 o successivo, necessario per l'importazione EPS e altre funzioni. <br>Nota: dopo l'installazione troverete due file Ghostscript *.exe sul vostro sistema. Quello corretto da utilizzare nelle <a href="settings1.html#15">preferenze di Scribus</a> (in <i>Strumenti esterni</i>) per Ghostscript &egrave; <code>gswin32c.exe</code> (o <code>gswin64c.exe</code>), <b>non</b> <code>gswin32.exe</code> (o <code>gswin64.exe</code>). Nella gran maggioranza dei casi, <b>se</b> Ghostscript viene installato correttamente prima di Scribus, Scribus individua automaticamente la sua posizione. Ci&ograve; detto, Ghostscript di solito non &egrave; essenziale per poter utilizzare Scribus. Se non avete installato Ghostscript, Scribus all'avvio vi avverte della mancanza di Ghostscript e vi d&agrave; un link per scaricarlo, ma potete anche decidere di non installare questo strumento esterno.</p>
 <h3>Durante l'installazione</h3>
 <p>Se selezionate l'opzione &ldquo;Extra Fonts&rdquo; nel programma di installazione, saranno installati due pacchetti di caratteri di alta qualit&agrave; liberamente distribuibili. Il primo comprende i caratteri URW da Ghostscript: si tratta di 45 tipi di carattere compatibili con quelli compresi nella maggior parte delle stampanti PostScript. Il secondo comprende la famiglia Bitstream Vera, ampiamente utilizzata in ambiente Linux e da alcuni dei modelli inclusi in Scribus.</p>
 <h3>Dopo l'installazione</h3>
diff --git a/doc/it/toolbox5.html b/doc/it/toolbox5.html
index 06b2ff099..58052afd2 100644
--- a/doc/it/toolbox5.html
+++ b/doc/it/toolbox5.html
@@ -16,7 +16,7 @@
 <p>&Egrave; sempre consigliabile avere Ghostscript nella pi&ugrave; recente versione disponibile per il vostro sistema.</p>
 <h3>Installazione di Ghostscript</h3>
 <h4>Linux/UNIX</h4>
-<p>Come detto prima, Ghostscript &egrave; richiesto da molte applicazioni, tra cui il sottosistema di stampa; quindi &egrave; improbabile che non sia installato sul sistema. Se, per qualche ragione, <code>gs</code> non &egrave; presente sul vostro sistema, o se la versione presente &egrave; troppo vecchia (con Scribus dovreste usare almeno Ghostscript 8.6), potete <a href="http://ghostscript.com/releases/">scaricare</a> l'archivio contenente il codice sorgente dal sito di <code>gs</code>. Fate attenzione a scaricare il vero e proprio Ghostscript, non ghostpdl, il cui codice sorgente si trova nella stessa directory. Poi seguite le istruzioni per la compilazione che trovate nell'archivio e installatelo.</p>
+<p>Come detto prima, Ghostscript &egrave; richiesto da molte applicazioni, tra cui il sottosistema di stampa; quindi &egrave; improbabile che non sia installato sul sistema. Se, per qualche ragione, <code>gs</code> non &egrave; presente sul vostro sistema, o se la versione presente &egrave; troppo vecchia (con Scribus dovreste usare almeno Ghostscript 8.6), potete <a href="https://www.ghostscript.com/download/gsdnld.html">scaricare</a> l'archivio contenente il codice sorgente dal sito di <code>gs</code>. Fate attenzione a scaricare il vero e proprio Ghostscript, non ghostpdl, il cui codice sorgente si trova nella stessa directory. Poi seguite le istruzioni per la compilazione che trovate nell'archivio e installatelo.</p>
 <h4>Windows</h4>
 <p>Trovate spiegazioni nelle <a href="readme-win32.html">informazioni generali</a> su Scribus in ambiente Windows.</p>
 <h4>Mac OS X</h4>
@@ -25,7 +25,7 @@
 <li>potete scaricare un <a href="http://pages.uoregon.edu/koch/">programma di installazione</a> per <code>gs</code> per la maggior parte delle versioni di OS X;</li>
 <li>potete installare <code>gs</code> per mezzo di <a href="http://pdb.finkproject.org/pdb/package.php/ghostscript">Fink</a>;</li>
 <li>le pi&ugrave; recenti versioni di Ghostscript sono sempre disponibili tramite <a href="http://www.macports.org/ports.php?by=library&substr=ghostscript">MacPorts</a>;</li>
-<li>e infine, potete, naturalmente, scaricare il pi&ugrave; recente <a href="http://ghostscript.com/releases/">codice sorgente</a> e compilarlo direttamente.</li>
+<li>e infine, potete, naturalmente, scaricare il pi&ugrave; recente <a href="https://www.ghostscript.com/download/gsdnld.html">codice sorgente</a> e compilarlo direttamente.</li>
 </ul>
 <h4>OS/2 ed eComStation</h4>
 <p> Trovate spiegazioni nelle <a href="readme-os2.html">informazioni generali</a> su Scribus in ambiente OS/2 ed eComStation.</p>
gs-download.diff (13,954 bytes)

Issue History

Date Modified Username Field Change
2018-05-06 11:45 vivivi New Issue
2018-05-06 11:45 vivivi File Added: gs-download.diff
2018-05-06 14:02 jghali Assigned To => jghali
2018-05-06 14:02 jghali Status new => resolved
2018-05-06 14:02 jghali Resolution open => fixed
2018-05-06 14:02 jghali Fixed in Version => 1.5.5.svn
2019-04-04 22:28 jghali Relationship added has duplicate 0015632
2019-06-04 20:55 cbradney Status resolved => closed